Commit cd9c1c3f authored by Gustavo Zacarias's avatar Gustavo Zacarias Committed by Thomas Petazzoni
Browse files

dnsmasq: add sysv initscript

parent 2d07ad80
Loading
Loading
Loading
Loading
+26 −0
Original line number Diff line number Diff line
#!/bin/sh

[ -x /usr/sbin/dnsmasq ] || exit 0
[ -f /etc/dnsmasq.conf ] || exit 0

case "$1" in
	start)
		echo -n "Starting dnsmasq: "
		start-stop-daemon -S -x /usr/sbin/dnsmasq
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		echo -n "Stopping dnsmasq: "
		start-stop-daemon -K -q -x /usr/sbin/dnsmasq
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	restart|reload)
		$0 stop
		$0 start
		;;
	*)
		echo "Usage: $0 {start|stop|restart}"
		exit 1
esac

exit 0
+5 −0
Original line number Diff line number Diff line
@@ -93,4 +93,9 @@ define DNSMASQ_INSTALL_TARGET_CMDS
	mkdir -p $(TARGET_DIR)/var/lib/misc/
endef

define DNSMASQ_INSTALL_INIT_SYSV
	$(INSTALL) -m 755 -D package/dnsmasq/S80dnsmasq \
		$(TARGET_DIR)/etc/init.d/S80dnsmasq
endef

$(eval $(generic-package))